#
# spec file for package python-django-nine
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-nine
Version:        0.2.3
Release:        lp152.1.2
Summary:        Compatibility library for Django
License:        GPL-2.0-only OR LGPL-2.1-or-later
URL:            https://github.com/barseghyanartur/django-nine/
Source:         https://files.pythonhosted.org/packages/source/d/django-nine/django-nine-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest-django}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
Version checking library for Django.

%prep
%setup -q -n django-nine-%{version}
chmod a-x LICENSE_* CHANGELOG.rst README.rst

# Remove backwards compatibility layer
rm src/nine/__init__.py

%build
%python_build

%install
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/django_nine/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pytest src/django_nine/tests/

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE_GPL2.0.txt LICENSE_LGPL_2.1.txt
%{python_sitelib}/*

%changelog
* Mon Jan 13 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.3:
  * Added more Django versions.
* Wed May 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.2:
  * Fixes in backwards compatibility
  * Bring back the user compatibility module. However, it's deprecated and
    will be removed in version 0.3
  * Show deprecation warnings
* Fri May 17 2019 John Vandenberg <jayvdb@gmail.com>
- Removed Conflicts with python-nine
- Update to v0.2
  * Drop Python 2.6 support.
  * Change namespace from `nine` to `django_nine`.
  * Removed `user` compatibility module.
  * Add travis.
* Thu Apr 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.13
